repo/gentoo:master commit in: dev-python/portalocker/
MichaŠGórny <[email protected]> Mon, 03 Aug 2026 02:22:38 +0000 (UTC)
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785723731.12f41bd43ca1c29fdffa65e9f6451fbf90de7e58.mgorny@gentoo> |
commit: 12f41bd43ca1c29fdffa65e9f6451fbf90de7e58
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 3 01:38:12 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug 3 02:22:11 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12f41bd4
dev-python/portalocker: Bump to 4.1.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/portalocker/Manifest | 1 +
dev-python/portalocker/portalocker-4.1.0.ebuild | 46 +++++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/dev-python/portalocker/Manifest b/dev-python/portalocker/Manifest
index 141c9b68a525..7597e44dcc20 100644
--- a/dev-python/portalocker/Manifest
+++ b/dev-python/portalocker/Manifest
@@ -1,2 +1,3 @@
DIST portalocker-3.2.0.gh.tar.gz 89888 BLAKE2B 94ce9a737cbf19a77045f73d32510b2b1d7ba0bba273aee7cd404136dd919c0290aebbd8982cb0972d360ff05c6009bb958e0d5a4aa875feae785bf2a6914532 SHA512 0777572f34504b8dac8bc009ea32891f88db7c1c82199f444c4caf36a8f71cf1e7626cb0e3a3ce11346b3488c67e60a394ddd9cd28771937962fa35a33767b2d
DIST portalocker-4.0.0.gh.tar.gz 88293 BLAKE2B ab96019123648cb1cd7c534e97e04377be2e9d7221f83fec442ba0b88cbdc60381599b15bc347e63178e9793f64ee96a93f924a2ec2c2fb1f65ecd2f573ff5a9 SHA512 f7f2382d939df0ff162750e030bc62dcc7c322c0829bad9a6d6c3f9b7d0673100ef5ff11f6652ee30888e90b299a4b49b597ea2213204a5b999453e9823a3d9f
+DIST portalocker-4.1.0.gh.tar.gz 140338 BLAKE2B a6011fad4f9b2d4b7a870f502611d6c46b1a766eb3ae28b263da2999ec60d022293880d18da2e81185b660929fbb37e29a0e85ed3726bd04667bdd856e40ffe2 SHA512 1a6ba3cb1dc782829979fb4f0ac900d86a11d1ecc4a90b0f29b7d16a0775cc12918d349c7ff2fff2e05488045e61daa9adf3a407b771f9e134ecd1aeb3e86218
diff --git a/dev-python/portalocker/portalocker-4.1.0.ebuild b/dev-python/portalocker/portalocker-4.1.0.ebuild
new file mode 100644
index 000000000000..c104dcf3e335
--- /dev/null
+++ b/dev-python/portalocker/portalocker-4.1.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=uv-build
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="A library for Python file locking"
+HOMEPAGE="
+ https://github.com/WoLpH/portalocker/
+ https://portalocker.readthedocs.io/
+ https://pypi.org/project/portalocker/
+"
+SRC_URI="
+ https://github.com/WoLpH/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="
+ test? (
+ >=dev-python/fakeredis-2.31.0[${PYTHON_USEDEP}]
+ dev-python/redis[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-6.0.0[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{rerunfailures,timeout} )
+distutils_enable_tests pytest
+
+src_prepare() {
+ default
+
+ # Disable code coverage in tests.
+ sed -i '/--cov/d' pyproject.toml || die
+}
+
+pkg_postinst() {
+ optfeature "redis support" dev-python/redis
+}